A repo to contain random stuff
tyagiakhilesh/agenda-example 0
Building Modular Cloud Applications in Java - getting started example
tyagiakhilesh/angularLearning 0
This is a repository to record my angular js learning tutorials and scripts.
ANTLR4 Learnings
:notebook:Solutions to Introduction to Algorithms
tyagiakhilesh/DependencyCheck 0
OWASP dependency-check is a software composition analysis utility that detects publicly disclosed vulnerabilities in application dependencies.
tyagiakhilesh/digisol_wifi_router 0
Just to save the work I did for my digisol wifi adapter. Just in case my system crashes...
tyagiakhilesh/DockerPostfixDovecot 0
Simple email server executed in Docker container
Pull request review commentCAFapi/opensuse-base-image
SCMOD-14011: Support file-based secrets
+#!/bin/bash+#+# Copyright 2017-2021 Micro Focus or one of its affiliates.+#+# Licensed under the Apache License, Version 2.0 (the "License");+# you may not use this file except in compliance with the License.+# You may obtain a copy of the License at+#+# http://www.apache.org/licenses/LICENSE-2.0+#+# Unless required by applicable law or agreed to in writing, software+# distributed under the License is distributed on an "AS IS" BASIS,+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.+# See the License for the specific language governing permissions and+# limitations under the License.+#++# A function for exporting file-based secrets.+#+# For example, for each environment variable ending in the _FILE suffix:+#+# ABC_PASSWORD_FILE=/var/somefile.txt+#+# read the contents of /var/somefile.txt (for example 'mypassword'), and export an environment variable named ABC_PASSWORD set to:+#+# ABC_PASSWORD=mypassword+export_file_based_secrets() {+ env -0 | while IFS='=' read -r -d '' env_var_name env_var_value; do+ if [[ ${env_var_name} == *_FILE ]] ;+ then+ local env_var_name_without_file_suffix=${env_var_name%_FILE}+ if [ "${!env_var_name:-}" ] && [ "${!env_var_name_without_file_suffix:-}" ]; then+ echo "ERROR: Both $env_var_name and $env_var_name_without_file_suffix are set (but are exclusive)"+ exit 1+ fi + echo "INFO: Found environment variable ending with the _FILE suffix: $env_var_name=$env_var_value, attempting to read the \+contents of $env_var_value..."+ if [ -e "$env_var_value" ]; then+ local file_contents=$(<${env_var_value})+ echo "INFO: Successfully read contents of ${env_var_value}, exporting environment variable \+$env_var_name_without_file_suffix using the contents of ${env_var_value} as the value..."+ if export "$env_var_name_without_file_suffix"="$file_contents" ; then
I'm not sure the export is working. When I created a derived image:
Dockerfile
FROM dev/cafapi/opensuse-base:2.4.0-SNAPSHOT
Built it:
docker build -t test .
And the ran it passing it the env command:
docker run -e ABC_PASSWORD_FILE=/pw.txt -d test env
[14:40:54.825Z #006.??? INFO - - ] startup.sh: Running export-file-based-secrets.sh...
[14:40:54.831Z #00A.??? INFO - - ] export-file-based-secrets.sh: Found environment variable ending with the _FILE suffix: ABC_PASSWORD_FILE=/pw.txt, attempting to read the contents of /pw.txt...
[14:40:54.834Z #00A.??? INFO - - ] export-file-based-secrets.sh: Successfully read contents of /pw.txt, exporting environment variable ABC_PASSWORD using the contents of /pw.txt as the value...
[14:40:54.837Z #00A.??? INFO - - ] export-file-based-secrets.sh: Successfully exported environment variable ABC_PASSWORD
...
LANG=en_US.utf8
HOSTNAME=403449a86633
TINI_VERSION=v0.18.0
ABC_PASSWORD_FILE=/pw.txt
PWD=/
HOME=/root
SHLVL=0
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
the ABC_PASSWORD env var is not there (just the ABC_PASSWORD_FILE env var passed to the run command)
I'll need to look into it a bit more.
comment created time in 38 minutes
pull request commentapache/mesos
Fixed a bug where the cgroup task killer leaves the cgroup frozen.
@cf-natali I did not upgrade the kernel of my machine yet (5.10.0 seems a bit too new for me). Thanks for updating the PR, I left a comment.
comment created time in 2 hours
Pull request review commentapache/mesos
Fixed a bug where the cgroup task killer leaves the cgroup frozen.
class TasksKiller : public Process<TasksKiller> const PID<TasksKiller>& pid) { // Cancel the freeze operation.- // TODO(jieyu): Wait until 'future' is in DISCARDED state before- // starting retry. future.discard(); - // We attempt to kill the processes before we thaw again,- // due to a bug in the kernel. See MESOS-1758 for more details.- // We thaw the cgroup before trying to freeze again to allow any- // pending signals to be delivered. See MESOS-1689 for details.- // This is a short term hack until we have PID namespace support.- return Future<bool>(true)+ // Wait until the freeze is cancelled, and then attempt to kill the+ // processes before we thaw again, due to a bug in the kernel. See+ // MESOS-1758 for more details. We thaw the cgroup before trying to freeze+ // again to allow any pending signals to be delivered. See MESOS-1689 for+ // details. This is a short term hack until we have PID namespace support.+ return future+ .recover([](const Future<Nothing>&){ return Future<Nothing>(Nothing()); })
I think you intention is to wait until future is in DISCARDED state before starting retry, right? But if that happens, will we just return from here without calling the 3 methods below (i.e. no retry)?
comment created time in 2 hours
issue openedTigerVNC/tigervnc
Extra trailing characters in password are ignored
When entering the password, after typing the correct password if extra trailing characters are added they are ignored and login succeeds even though the password as a whole is actually incorrect.
Server Environment: CentOS Linux 7 64-bit, GNOME 3.28.2 Xvnc TigerVNC 1.8.0 - built Apr 1 2020 04:46:00
Viewer Environment: Windows 10 Pro Version 1803 OS build 17134.1304 TigerVNC Viewer 64-bit v1.9.0 Built on: 2018-07-18 22:13
created time in 2 hours
PR opened github/gitignore
This reverts commit 583f11eddde230f6df9f1cece498be98c3a90773.
Reasons for making this change:
I strongly disagree with the change made in #3274. .python-version is a detail of a specific local environment and is far from being flexible enough to be checked in to a project to determine the Python version to be used.
- It cannot contain a version like
3.6, let alone>=3.6. It must be an exact Python version number down to the patch level, such as3.6.10. - The other option for its value is either
systemor the name of a pyenv virtualenv, which is equally nonsensical to check in to VCS.*
This makes it extremely error-prone, as attempting to run Python in the project will simply fail if you don't have the exact required version down to the patch level, which becomes an unnecessary maintenance burden for both the maintainer and every single developer.
There are far better solutions for checking in supported Python versions to a project, such as pyproject.toml (Poetry) or Pipfile (Pipenv). Checking in .python-version to VCS despite the availability of superior alternatives is a very niche use case at best, therefore .python-version SHOULD be ignored by default. Anyone who insists on checking it in can simply remove it.
pr created time in 3 hours
push eventCAFapi/opensuse-base-image
commit sha e67fc45124098e415718e39f71f98513af5d9a64
SCMOD-14011: Address review feedback
push time in 5 hours
push eventJobService/job-service
commit sha 685c9d4cc080dfbc058cce80505135edb1cc01f0
SCMOD-13988: Update to openSUSE Leap 15.3 (#255)
commit sha 1d5f4108f4d2600ed50cac85bf4c69c6acb78b56
Merge branch 'develop' into SCMOD-8730
push time in 6 hours
push eventJobService/job-service
commit sha ee739419ba2555b7a9598f3f449fc0517a8b42cf
Added basic_policy
commit sha 8b4cc9594dfa46e001c6bc9b2ba3da470d09759c
Using sub-composite
push time in 6 hours
pull request commentgithub/gitignore
Add .godot/ folder to Godot.gitignore for Godot 4
Bump :slightly_smiling_face:
This is still relevant to merge today, and judging how Godot 4.0 adoption will likely start raising as soon as the first alpha is released, it makes sense to merge this now.
comment created time in 8 hours
delete branch grails/grails-core
delete branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-transport-http-1.7.0
delete time in 10 hours
PR closed grails/grails-core
Bumps maven-resolver-transport-http from 1.1.1 to 1.7.0. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/980c677e923f36a261c1680e5929f69cf75e2d3a"><code>980c677</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.0</li> <li><a href="https://github.com/apache/maven-resolver/commit/c462a80985866959d5acd8119caa7371c5645dce"><code>c462a80</code></a> Remove profile obsoleted by MRESOLVER-171</li> <li><a href="https://github.com/apache/maven-resolver/commit/01ebbe52c6dc5552649a1d633b6ac32c223ed60f"><code>01ebbe5</code></a> [MRESOLVER-177] Move pre-/post-processing of metadata from ResolveTask to Def...</li> <li><a href="https://github.com/apache/maven-resolver/commit/8028de1e6bb3ed0eaf8bcb5d713b9c586197d208"><code>8028de1</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/2c83a6916d586b263b8932ff37637fb4904db8f9"><code>2c83a69</code></a> [MRESOLVER-175] Drop SyncContextFactory delegates in favor of a selector appr...</li> <li><a href="https://github.com/apache/maven-resolver/commit/95ad3ca4b6f2380999ca6b7e312f4f31aff45c83"><code>95ad3ca</code></a> [MRESOLVER-174] Use all bindings in UTs and tests</li> <li><a href="https://github.com/apache/maven-resolver/commit/5a0b6c8aef74b0366bab3204ba03faf27ec348d9"><code>5a0b6c8</code></a> [MRESOLVER-173] Drop deprecated AetherModule</li> <li><a href="https://github.com/apache/maven-resolver/commit/693403ec9a55eeff87776cd4f39218c8e0b8af81"><code>693403e</code></a> [MRESOLVER-172] Make TrackingFileManager shared singleton component</li> <li><a href="https://github.com/apache/maven-resolver/commit/7939a6909d02a5b4356efaff4005902ced9e26f8"><code>7939a69</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/1189bc9f8f9493b8cc1576d02fb49500c5b54fc5"><code>1189bc9</code></a> Add Annotation API removed in Java 11</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.0">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr closed time in 10 hours
pull request commentgrails/grails-core
Bump maven-resolver-transport-http from 1.1.1 to 1.7.0
Superseded by #11836.
comment created time in 10 hours
create barnchgrails/grails-core
branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-transport-http-1.7.1
created branch time in 10 hours
PR opened grails/grails-core
Bumps maven-resolver-transport-http from 1.1.1 to 1.7.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/f35e01817ad19ff5aef9733170461b71b68b2ac1"><code>f35e018</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.1</li> <li><a href="https://github.com/apache/maven-resolver/commit/1aba84cebf146c5dce9dc4209a0581b88d5a78e1"><code>1aba84c</code></a> [MRESOLVER-186] Update Maven version in Resolver Demo Snippets</li> <li><a href="https://github.com/apache/maven-resolver/commit/69fd9f38d75fe5fd62c3a6b8d70b1018b67f7a68"><code>69fd9f3</code></a> [MRESOLVER-184] Destroy Redisson semaphores if not used anymore</li> <li><a href="https://github.com/apache/maven-resolver/commit/c256c20b77fd1f1ed512c79ef3de0b81b3b5ccb4"><code>c256c20</code></a> [MRESOLVER-185] Upgrade Redisson to 3.15.6</li> <li><a href="https://github.com/apache/maven-resolver/commit/6addf396749e3cc242bb5a25cf47d405850a1afa"><code>6addf39</code></a> [MRESOLVER-183] Don't require optional dependencies for Redisson</li> <li><a href="https://github.com/apache/maven-resolver/commit/5d4e3473164a6909b7035d6a16acad3a69aa1402"><code>5d4e347</code></a> Fix checkstyle</li> <li><a href="https://github.com/apache/maven-resolver/commit/45e243b62bc4a1a08243dfeddd8abe4cd0ed467b"><code>45e243b</code></a> Use static instead of literal</li> <li><a href="https://github.com/apache/maven-resolver/commit/0b13e57f9226a16e049dfc38f2a5b1df76a1ceee"><code>0b13e57</code></a> Update workflow</li> <li><a href="https://github.com/apache/maven-resolver/commit/a7d1bf9a94f14bda4f118f95cdb8d280d7ec2c62"><code>a7d1bf9</code></a> Use interface instead of impl</li> <li><a href="https://github.com/apache/maven-resolver/commit/f9169478bfcb4586e939619efd01d07221f52e7a"><code>f916947</code></a> Sort dependencies by JAR name</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.1">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr created time in 10 hours
delete branch grails/grails-core
delete branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-transport-file-1.7.0
delete time in 10 hours
PR closed grails/grails-core
Bumps maven-resolver-transport-file from 1.1.1 to 1.7.0. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/980c677e923f36a261c1680e5929f69cf75e2d3a"><code>980c677</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.0</li> <li><a href="https://github.com/apache/maven-resolver/commit/c462a80985866959d5acd8119caa7371c5645dce"><code>c462a80</code></a> Remove profile obsoleted by MRESOLVER-171</li> <li><a href="https://github.com/apache/maven-resolver/commit/01ebbe52c6dc5552649a1d633b6ac32c223ed60f"><code>01ebbe5</code></a> [MRESOLVER-177] Move pre-/post-processing of metadata from ResolveTask to Def...</li> <li><a href="https://github.com/apache/maven-resolver/commit/8028de1e6bb3ed0eaf8bcb5d713b9c586197d208"><code>8028de1</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/2c83a6916d586b263b8932ff37637fb4904db8f9"><code>2c83a69</code></a> [MRESOLVER-175] Drop SyncContextFactory delegates in favor of a selector appr...</li> <li><a href="https://github.com/apache/maven-resolver/commit/95ad3ca4b6f2380999ca6b7e312f4f31aff45c83"><code>95ad3ca</code></a> [MRESOLVER-174] Use all bindings in UTs and tests</li> <li><a href="https://github.com/apache/maven-resolver/commit/5a0b6c8aef74b0366bab3204ba03faf27ec348d9"><code>5a0b6c8</code></a> [MRESOLVER-173] Drop deprecated AetherModule</li> <li><a href="https://github.com/apache/maven-resolver/commit/693403ec9a55eeff87776cd4f39218c8e0b8af81"><code>693403e</code></a> [MRESOLVER-172] Make TrackingFileManager shared singleton component</li> <li><a href="https://github.com/apache/maven-resolver/commit/7939a6909d02a5b4356efaff4005902ced9e26f8"><code>7939a69</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/1189bc9f8f9493b8cc1576d02fb49500c5b54fc5"><code>1189bc9</code></a> Add Annotation API removed in Java 11</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.0">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr closed time in 10 hours
pull request commentgrails/grails-core
Bump maven-resolver-transport-file from 1.1.1 to 1.7.0
Superseded by #11835.
comment created time in 10 hours
PR opened grails/grails-core
Bumps maven-resolver-transport-file from 1.1.1 to 1.7.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/f35e01817ad19ff5aef9733170461b71b68b2ac1"><code>f35e018</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.1</li> <li><a href="https://github.com/apache/maven-resolver/commit/1aba84cebf146c5dce9dc4209a0581b88d5a78e1"><code>1aba84c</code></a> [MRESOLVER-186] Update Maven version in Resolver Demo Snippets</li> <li><a href="https://github.com/apache/maven-resolver/commit/69fd9f38d75fe5fd62c3a6b8d70b1018b67f7a68"><code>69fd9f3</code></a> [MRESOLVER-184] Destroy Redisson semaphores if not used anymore</li> <li><a href="https://github.com/apache/maven-resolver/commit/c256c20b77fd1f1ed512c79ef3de0b81b3b5ccb4"><code>c256c20</code></a> [MRESOLVER-185] Upgrade Redisson to 3.15.6</li> <li><a href="https://github.com/apache/maven-resolver/commit/6addf396749e3cc242bb5a25cf47d405850a1afa"><code>6addf39</code></a> [MRESOLVER-183] Don't require optional dependencies for Redisson</li> <li><a href="https://github.com/apache/maven-resolver/commit/5d4e3473164a6909b7035d6a16acad3a69aa1402"><code>5d4e347</code></a> Fix checkstyle</li> <li><a href="https://github.com/apache/maven-resolver/commit/45e243b62bc4a1a08243dfeddd8abe4cd0ed467b"><code>45e243b</code></a> Use static instead of literal</li> <li><a href="https://github.com/apache/maven-resolver/commit/0b13e57f9226a16e049dfc38f2a5b1df76a1ceee"><code>0b13e57</code></a> Update workflow</li> <li><a href="https://github.com/apache/maven-resolver/commit/a7d1bf9a94f14bda4f118f95cdb8d280d7ec2c62"><code>a7d1bf9</code></a> Use interface instead of impl</li> <li><a href="https://github.com/apache/maven-resolver/commit/f9169478bfcb4586e939619efd01d07221f52e7a"><code>f916947</code></a> Sort dependencies by JAR name</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.1">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr created time in 10 hours
create barnchgrails/grails-core
branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-transport-file-1.7.1
created branch time in 10 hours
delete branch grails/grails-core
delete branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-impl-1.7.0
delete time in 10 hours
PR closed grails/grails-core
Bumps maven-resolver-impl from 1.1.1 to 1.7.0. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/980c677e923f36a261c1680e5929f69cf75e2d3a"><code>980c677</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.0</li> <li><a href="https://github.com/apache/maven-resolver/commit/c462a80985866959d5acd8119caa7371c5645dce"><code>c462a80</code></a> Remove profile obsoleted by MRESOLVER-171</li> <li><a href="https://github.com/apache/maven-resolver/commit/01ebbe52c6dc5552649a1d633b6ac32c223ed60f"><code>01ebbe5</code></a> [MRESOLVER-177] Move pre-/post-processing of metadata from ResolveTask to Def...</li> <li><a href="https://github.com/apache/maven-resolver/commit/8028de1e6bb3ed0eaf8bcb5d713b9c586197d208"><code>8028de1</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/2c83a6916d586b263b8932ff37637fb4904db8f9"><code>2c83a69</code></a> [MRESOLVER-175] Drop SyncContextFactory delegates in favor of a selector appr...</li> <li><a href="https://github.com/apache/maven-resolver/commit/95ad3ca4b6f2380999ca6b7e312f4f31aff45c83"><code>95ad3ca</code></a> [MRESOLVER-174] Use all bindings in UTs and tests</li> <li><a href="https://github.com/apache/maven-resolver/commit/5a0b6c8aef74b0366bab3204ba03faf27ec348d9"><code>5a0b6c8</code></a> [MRESOLVER-173] Drop deprecated AetherModule</li> <li><a href="https://github.com/apache/maven-resolver/commit/693403ec9a55eeff87776cd4f39218c8e0b8af81"><code>693403e</code></a> [MRESOLVER-172] Make TrackingFileManager shared singleton component</li> <li><a href="https://github.com/apache/maven-resolver/commit/7939a6909d02a5b4356efaff4005902ced9e26f8"><code>7939a69</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/1189bc9f8f9493b8cc1576d02fb49500c5b54fc5"><code>1189bc9</code></a> Add Annotation API removed in Java 11</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.0">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr closed time in 10 hours
pull request commentgrails/grails-core
Bump maven-resolver-impl from 1.1.1 to 1.7.0
Superseded by #11834.
comment created time in 10 hours
create barnchgrails/grails-core
branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-impl-1.7.1
created branch time in 10 hours
PR opened grails/grails-core
Bumps maven-resolver-impl from 1.1.1 to 1.7.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/f35e01817ad19ff5aef9733170461b71b68b2ac1"><code>f35e018</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.1</li> <li><a href="https://github.com/apache/maven-resolver/commit/1aba84cebf146c5dce9dc4209a0581b88d5a78e1"><code>1aba84c</code></a> [MRESOLVER-186] Update Maven version in Resolver Demo Snippets</li> <li><a href="https://github.com/apache/maven-resolver/commit/69fd9f38d75fe5fd62c3a6b8d70b1018b67f7a68"><code>69fd9f3</code></a> [MRESOLVER-184] Destroy Redisson semaphores if not used anymore</li> <li><a href="https://github.com/apache/maven-resolver/commit/c256c20b77fd1f1ed512c79ef3de0b81b3b5ccb4"><code>c256c20</code></a> [MRESOLVER-185] Upgrade Redisson to 3.15.6</li> <li><a href="https://github.com/apache/maven-resolver/commit/6addf396749e3cc242bb5a25cf47d405850a1afa"><code>6addf39</code></a> [MRESOLVER-183] Don't require optional dependencies for Redisson</li> <li><a href="https://github.com/apache/maven-resolver/commit/5d4e3473164a6909b7035d6a16acad3a69aa1402"><code>5d4e347</code></a> Fix checkstyle</li> <li><a href="https://github.com/apache/maven-resolver/commit/45e243b62bc4a1a08243dfeddd8abe4cd0ed467b"><code>45e243b</code></a> Use static instead of literal</li> <li><a href="https://github.com/apache/maven-resolver/commit/0b13e57f9226a16e049dfc38f2a5b1df76a1ceee"><code>0b13e57</code></a> Update workflow</li> <li><a href="https://github.com/apache/maven-resolver/commit/a7d1bf9a94f14bda4f118f95cdb8d280d7ec2c62"><code>a7d1bf9</code></a> Use interface instead of impl</li> <li><a href="https://github.com/apache/maven-resolver/commit/f9169478bfcb4586e939619efd01d07221f52e7a"><code>f916947</code></a> Sort dependencies by JAR name</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.1">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr created time in 10 hours
delete branch grails/grails-core
delete branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-connector-basic-1.7.0
delete time in 10 hours
PR closed grails/grails-core
Bumps maven-resolver-connector-basic from 1.1.1 to 1.7.0. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/980c677e923f36a261c1680e5929f69cf75e2d3a"><code>980c677</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.0</li> <li><a href="https://github.com/apache/maven-resolver/commit/c462a80985866959d5acd8119caa7371c5645dce"><code>c462a80</code></a> Remove profile obsoleted by MRESOLVER-171</li> <li><a href="https://github.com/apache/maven-resolver/commit/01ebbe52c6dc5552649a1d633b6ac32c223ed60f"><code>01ebbe5</code></a> [MRESOLVER-177] Move pre-/post-processing of metadata from ResolveTask to Def...</li> <li><a href="https://github.com/apache/maven-resolver/commit/8028de1e6bb3ed0eaf8bcb5d713b9c586197d208"><code>8028de1</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/2c83a6916d586b263b8932ff37637fb4904db8f9"><code>2c83a69</code></a> [MRESOLVER-175] Drop SyncContextFactory delegates in favor of a selector appr...</li> <li><a href="https://github.com/apache/maven-resolver/commit/95ad3ca4b6f2380999ca6b7e312f4f31aff45c83"><code>95ad3ca</code></a> [MRESOLVER-174] Use all bindings in UTs and tests</li> <li><a href="https://github.com/apache/maven-resolver/commit/5a0b6c8aef74b0366bab3204ba03faf27ec348d9"><code>5a0b6c8</code></a> [MRESOLVER-173] Drop deprecated AetherModule</li> <li><a href="https://github.com/apache/maven-resolver/commit/693403ec9a55eeff87776cd4f39218c8e0b8af81"><code>693403e</code></a> [MRESOLVER-172] Make TrackingFileManager shared singleton component</li> <li><a href="https://github.com/apache/maven-resolver/commit/7939a6909d02a5b4356efaff4005902ced9e26f8"><code>7939a69</code></a> [MRESOLVER-171] Resolver fails when compiled on Java 9+ and run on Java 8 due...</li> <li><a href="https://github.com/apache/maven-resolver/commit/1189bc9f8f9493b8cc1576d02fb49500c5b54fc5"><code>1189bc9</code></a> Add Annotation API removed in Java 11</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.0">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr closed time in 10 hours
pull request commentgrails/grails-core
Bump maven-resolver-connector-basic from 1.1.1 to 1.7.0
Superseded by #11833.
comment created time in 10 hours
create barnchgrails/grails-core
branch : dependabot/gradle/master/org.apache.maven.resolver-maven-resolver-connector-basic-1.7.1
created branch time in 10 hours
PR opened grails/grails-core
Bumps maven-resolver-connector-basic from 1.1.1 to 1.7.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/apache/maven-resolver/commit/f35e01817ad19ff5aef9733170461b71b68b2ac1"><code>f35e018</code></a> [maven-release-plugin] prepare release maven-resolver-1.7.1</li> <li><a href="https://github.com/apache/maven-resolver/commit/1aba84cebf146c5dce9dc4209a0581b88d5a78e1"><code>1aba84c</code></a> [MRESOLVER-186] Update Maven version in Resolver Demo Snippets</li> <li><a href="https://github.com/apache/maven-resolver/commit/69fd9f38d75fe5fd62c3a6b8d70b1018b67f7a68"><code>69fd9f3</code></a> [MRESOLVER-184] Destroy Redisson semaphores if not used anymore</li> <li><a href="https://github.com/apache/maven-resolver/commit/c256c20b77fd1f1ed512c79ef3de0b81b3b5ccb4"><code>c256c20</code></a> [MRESOLVER-185] Upgrade Redisson to 3.15.6</li> <li><a href="https://github.com/apache/maven-resolver/commit/6addf396749e3cc242bb5a25cf47d405850a1afa"><code>6addf39</code></a> [MRESOLVER-183] Don't require optional dependencies for Redisson</li> <li><a href="https://github.com/apache/maven-resolver/commit/5d4e3473164a6909b7035d6a16acad3a69aa1402"><code>5d4e347</code></a> Fix checkstyle</li> <li><a href="https://github.com/apache/maven-resolver/commit/45e243b62bc4a1a08243dfeddd8abe4cd0ed467b"><code>45e243b</code></a> Use static instead of literal</li> <li><a href="https://github.com/apache/maven-resolver/commit/0b13e57f9226a16e049dfc38f2a5b1df76a1ceee"><code>0b13e57</code></a> Update workflow</li> <li><a href="https://github.com/apache/maven-resolver/commit/a7d1bf9a94f14bda4f118f95cdb8d280d7ec2c62"><code>a7d1bf9</code></a> Use interface instead of impl</li> <li><a href="https://github.com/apache/maven-resolver/commit/f9169478bfcb4586e939619efd01d07221f52e7a"><code>f916947</code></a> Sort dependencies by JAR name</li> <li>Additional commits viewable in <a href="https://github.com/apache/maven-resolver/compare/maven-resolver-1.1.1...maven-resolver-1.7.1">compare view</a></li> </ul> </details> <br />
Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.
<details> <summary>Dependabot commands and options</summary> <br />
You can trigger Dependabot actions by commenting on this PR:
@dependabot rebasewill rebase this PR@dependabot recreatewill recreate this PR, overwriting any edits that have been made to it@dependabot mergewill merge this PR after your CI passes on it@dependabot squash and mergewill squash and merge this PR after your CI passes on it@dependabot cancel mergewill cancel a previously requested merge and block automerging@dependabot reopenwill reopen this PR if it is closed@dependabot closewill close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually@dependabot ignore this major versionwill close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this minor versionwill close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)@dependabot ignore this dependencywill close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)@dependabot use these labelswill set the current labels as the default for future PRs for this repo and language@dependabot use these reviewerswill set the current reviewers as the default for future PRs for this repo and language@dependabot use these assigneeswill set the current assignees as the default for future PRs for this repo and language@dependabot use this milestonewill set the current milestone as the default for future PRs for this repo and language@dependabot badge mewill comment on this PR with code to add a "Dependabot enabled" badge to your readme
Additionally, you can set the following in your Dependabot dashboard:
- Update frequency (including time of day and day of week)
- Pull request limits (per update run and/or open at any time)
- Out-of-range updates (receive only lockfile updates, if desired)
- Security updates (receive only security updates, if desired)
</details>
pr created time in 10 hours
pull request commentapache/mesos
Fixed a bug where the cgroup task killer leaves the cgroup frozen.
@qianzhangxa Did you manage to reproduce it?
The updated MR only handles the discard at the beginning of a freeze/kill/thaw cycle, therefore ensuring we don't leave a cgroup frozen. Obviously it means that discard will be ignored while the kill/thaw is in progress, but I think it's what we want since interrupting them would be quite bad, and in practice kill is non-blocking and thaw shouldn't block forever.
comment created time in 17 hours